#ifndef _MLISTA_H_
#define _MLISTA_H_

#include <iostream>
#include <cstdlib>
#include "MCadena.h"
#include "MTransporte.h"

using namespace std;
using namespace MCadena;
using namespace MTransporte;

namespace MLista
{
    typedef enum { NoErrorLista, ErrorListaVacia, ErrorListaLlena, 
                   ErrorMercanciaNoEnLista } TErrorLista;      
    
    typedef struct TNodoLista *TLista;
    struct TNodoLista
    {
           TMercancia mercancia;
           TLista sig;
    };
    
    TLista CrearLista();
    bool ListaVacia(TLista l);
    bool ListaLlena(TLista l);
    void InsertarLista(TLista &l, TMercancia m, TErrorLista &e);
    void MostrarLista(TLista l);
    void EliminarLista(TLista &l, int codigo, TErrorLista &e);
    void SacarPrimeroLista(TLista &l, TMercancia &m, TErrorLista e);
    void DestruirLista(TLista &l);

}
#endif
